> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wardin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Policy



## OpenAPI

````yaml PATCH /v1/policies/{id}
openapi: 3.0.0
info:
  title: Wardin API
  description: AI governance & observability platform — external REST API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/policies/{id}:
    patch:
      tags:
        - policies
      summary: Update a policy
      operationId: PoliciesController_update
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePolicyDto'
      responses:
        '200':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    UpdatePolicyDto:
      type: object
      properties:
        name:
          type: string
        enabled:
          type: boolean
        yaml:
          type: string
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````